Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Diagram

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.model.DiagramElement
                  biouml.model.Node
                      biouml.model.Compartment
                          biouml.model.Diagram

All Implemented Interfaces:
  DataCollection, DataElement, java.util.EventListener, MutableDataElement, java.beans.PropertyChangeListener

public class Diagram
extends Compartment
implements java.beans.PropertyChangeListener

Field Summary
`protected DiagramFilter` | `filter`
`protected static org.apache.log4j.Category` | `log`
`protected DiagramType` | `type`
`protected DiagramViewOptions` | `viewOptions`

Fields inherited from class biouml.model.Compartment
`collection, kernelMap, SHAPE_ELLIPSE, SHAPE_RECTANGLE, SHAPE_ROUND_RECTANGLE, shapeColor, shapeType`

Fields inherited from class biouml.model.Node
`background, edges, fixed, image, location, shapeSize`

Fields inherited from class biouml.model.DiagramElement
`comment, kernel, role, title, view`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Constructor Summary
`Diagram(DataCollection origin, Base kernel, DiagramType type)` Creates the diagram of the specified type.

Method Summary
`DiagramElement` | `clone(DataCollection origin, java.lang.String newName)`
`static Diagram` | `createDiagram(DiagramType type, java.lang.String diagramName, DataCollection origin)`
`protected void` | `doClone(Diagram diagram)`
`DiagramFilter` | `getFilter()`
`DiagramType` | `getType()`
`DiagramViewOptions` | `getViewOptions()`
`void` | `propertyChange(java.beans.PropertyChangeEvent pce)`
`void` | `setDiagramFilter(DiagramFilter filter)`
`void` | `setKernel(Base newKernel)`
`protected void` | `setType(DiagramType type)`
`void` | `setViewOptions(DiagramViewOptions options)`

Methods inherited from class biouml.model.Compartment
`addDataCollectionListener, clone, close, contains, contains, contains, containsKernel, doClone, findNode, get, getCompleteName, getDataElementType, getInfo, getKernelNodes, getNameList, getShapeColor, getShapeType, getSize, init, isMutable, iterator, moveNodes, propagateElementChanged, propagateElementWillChange, put, release, remapEdge, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, setShapeColor, setShapeType`

Methods inherited from class biouml.model.Node
`addEdge, doClone, edgeIterator, findCommonOrigin, getBackground, getEdges, getImage, getLocation, getShapeSize, isBackgroundHidden, isFixed, isNotResizable, removeEdge, setBackground, setFixed, setImage, setLocation, setLocation, setRelativeLocation, setShapeSize`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataCollection
`isNotificationEnabled, isPropagationEnabled`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### log

    protected static org.apache.log4j.Category log

### type

    protected DiagramType type

### viewOptions

    protected DiagramViewOptions viewOptions

### filter

    protected DiagramFilter filter

Constructor Detail

### Diagram

    public Diagram(DataCollection origin,
                   Base kernel,
                   DiagramType type)
            throws java.lang.Exception

  Creates the diagram of the specified type.

Parameters:
  `type` - the diagram type.

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent pce)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  To do:
    implement

### getType

    public DiagramType getType()

### setType

    protected void setType(DiagramType type)

### getViewOptions

    public DiagramViewOptions getViewOptions()

### setViewOptions

    public void setViewOptions(DiagramViewOptions options)

### getFilter

    public DiagramFilter getFilter()

### setDiagramFilter

    public void setDiagramFilter(DiagramFilter filter)

### setKernel

    public void setKernel(Base newKernel)

  Overrides:
    `setKernel` in class `DiagramElement`

### createDiagram

    public static Diagram createDiagram(DiagramType type,
                                        java.lang.String diagramName,
                                        DataCollection origin)
                                 throws java.lang.Exception,
                                        java.lang.IllegalAccessException

  Throws:
    `java.lang.Exception`
    `java.lang.IllegalAccessException`
  Pendung:
    remove dependency from PathwaySimulationDiagramType and EModel

### clone

    public DiagramElement clone(DataCollection origin,
                                java.lang.String newName)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doClone

    protected void doClone(Diagram diagram)

  Pendung:
    implement

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.